Bug 48900 - XSSF doesn't have the method protectSheet as we have for HSSF API
XSSF doesn't have the method protectSheet as we have for HSSF API
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: XSSF
3.6
PC Windows XP
: P1 normal (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-03-12 15:41 UTC by viveckrshastri
Modified: 2010-08-18 08:51 UTC (History)
1 user (show)



Attachments
SVN patch to support sheet protection is XSSF and testcase for same (4.12 KB, patch)
2010-08-15 03:54 UTC, Brendan Nolan
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description viveckrshastri 2010-03-12 15:41:24 UTC
XSSF doesn't have the method protectSheet as we have for HSSF API
Comment 1 Yegor Kozlov 2010-03-15 15:20:45 UTC
Please don't abuse Bugzilla. Changing the priority of a bug to Blocker will not
help us to fix it sooner. 

If you are really interested in fixing this issue - you are welcome to do a
research and figure out which bits of the SpreadsheetML are missing. If you need a
guidance, please ask, I will be happy to help.

Yegor
Comment 2 viveckrshastri 2010-03-15 15:29:19 UTC
(In reply to comment #1)
> Please don't abuse Bugzilla. Changing the priority of a bug to Blocker will not
> help us to fix it sooner. 
> If you are really interested in fixing this issue - you are welcome to do a
> research and figure out which bits of the SpreadsheetML are missing. If you
> need a
> guidance, please ask, I will be happy to help.
> Yegor


Hey Yegor,

we have the same method sheet.protectSheet("qq"); in the HSSF API and i need the same for XSSF API.

Let me know if there is any workaround in XSSF API to protect worksheet with a password.

This a kind of show stopper for my project currently. Any help is appreciated.

Thanks,
Vivek
Comment 3 Brendan Nolan 2010-08-15 03:54:43 UTC
Created attachment 25886 [details]
SVN patch to support sheet protection is XSSF and testcase for same

Added a protectSheet method to XSSFSheet also added the protectSheet method as part of the Sheet interface.
Comment 4 Yegor Kozlov 2010-08-18 08:51:42 UTC
Applied in 0 with minor tweaks in unit tests.

Thanks,
Yegor